Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine
Class NoMatchingTransitionException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.webflow.core.FlowException
                      org.springframework.webflow.execution.FlowExecutionException
                          org.springframework.webflow.engine.NoMatchingTransitionException

All Implemented Interfaces:
  java.io.Serializable

    public class NoMatchingTransitionException

extends FlowExecutionException

Thrown when no transition can be matched given the occurence of an event in the context of a flow execution request.

Typically this happens because there is no "handler" transition for the last event that occured.

Author:
  Keith Donald, Erwin Vervaet
See Also:
  Serialized Form

Constructor Summary
`NoMatchingTransitionException(java.lang.String flowId, java.lang.String stateId, Event event, java.lang.String message)` Create a new no matching transition exception.
`NoMatchingTransitionException(java.lang.String flowId, java.lang.String stateId, Event event, java.lang.String message, java.lang.Throwable cause)` Create a new no matching transition exception.

Method Summary
`Event` | `getEvent()` Returns the event for the current request that did not trigger any supported transition.

Methods inherited from class org.springframework.webflow.execution.FlowExecutionException
`getFlowId, getStateId`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NoMatchingTransitionException

    public NoMatchingTransitionException(java.lang.String flowId,
                                         java.lang.String stateId,
                                         Event event,
                                         java.lang.String message)

  Create a new no matching transition exception.

  Parameters:
    `flowId` - the current flow
    `stateId` - the state that could not be transitioned out of
    `event` - the event that occured that could not be matched to a transition
    `message` - the message

### NoMatchingTransitionException

    public NoMatchingTransitionException(java.lang.String flowId,
                                         java.lang.String stateId,
                                         Event event,
                                         java.lang.String message,
                                         java.lang.Throwable cause)

  Create a new no matching transition exception.

  Parameters:
    `flowId` - the current flow
    `stateId` - the state that could not be transitioned out of
    `event` - the event that occured that could not be matched to a transition
    `message` - the message
    `cause` - the underlying cause

Method Detail

### getEvent

    public Event getEvent()

  Returns the event for the current request that did not trigger any supported transition.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD